package ch.zhaw.catan;

import java.awt.*;

/**
 * Sub Class of Structure and Super Class of City
 * Can be saved in Siedler Board on a corner
 *
 * @author Andrin Fassbind, Roman Schenk
 */
public class Settlement extends Structure {

    //the coordinates of the position on the board
    private final Point position;

    public Settlement(Config.Faction faction, Point position) {
        super(faction);
        this.position = position;
    }

    /**
     * This Methode Returns the Position of the Settlement
     *
     * @return the datafield position
     */
    public Point getPosition() {
        return position;
    }
}
